ownCloud Client Update (Ubuntu)

Falls ihr den ownCloud Client unter Ubuntu-Systemen nutzt, könntet ihr auch auf den Fehler stoßen, dass sich das Update auf den 1.3.0’er Client nicht ausführen lässt.

Ihr bekommt dann etwas in dieser Art vom Paketmanager gemeldet:

Die folgenden NEUEN Pakete werden installiert:
owncloud-client
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0 B von 917 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 3.259 kB Plattenplatz zusätzlich benutzt.
(Lese Datenbank ... xyz Dateien und Verzeichnisse sind derzeit installiert.)
Entpacken von owncloud-client (aus .../owncloud-client_1.x.y-0_amd64.deb) ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/owncloud-client_1.x.y-0_amd64.deb (--unpack):
Versuch, »/usr/lib/libowncloudsync.so.0« zu überschreiben, welches auch in Paket libowncloudsync0 1.a.b+debian-1ubuntu2 ist
...
Fehler traten auf beim Bearbeiten von:
/var/cache/apt/archives/owncloud-client_1.x.y-0_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Das Problem ist bekannt und lässt sich einfach beheben indem ihr alle ownCloud Pakte und mirall-il8n manuell deinstalliert:

sudo apt-get remove owncloud* mirall-i18n
sudo apt-get install owncloud-client

Ist ein bisschen blöd, aber zum Glück ja auch schnell zu beheben.

Der Fehler trat bei mir mit Kernel 3.8.0-19-generic unter xfce4 Oberfläche (xubuntu) unter Verwendung des folgenden Repositories auf:

deb http://download.opensuse.org/repositories/isv:ownCloud:devel/xUbuntu_13.04/ /

Flattr this!

Hinterlasse eine Antwort

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind markiert *

Du kannst folgende HTML-Tags benutzen: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>